commit 94c9c0ab7ce06fe7ac4d2d3ed5f808e261e89437
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Sep 8 02:18:01 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 22a6c27bd11..bd643d2b07b 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2021-09-07  Max Filippov  <jcmvbkbc@gmail.com>
+
+	Backported from master:
+	2021-09-07  Takayuki 'January June' Suwa  <jjsuwa_sys3175@yahoo.co.jp>
+
+	PR target/102115
+	* config/xtensa/xtensa.c (xtensa_emit_move_sequence): Add
+	'CONST_INT_P (src)' to the condition of the block that tries to
+	eliminate literal when loading integer contant.
+
 2021-09-06  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c6c78865a08..f1d7f5b06bc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210907
+20210908
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 992d0b29d91..1e968d37d13 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,14 @@
+2021-09-07  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-09-07  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/100495
+	* constexpr.c (maybe_save_constexpr_fundef): Save body even for
+	constexpr deleting dtors.
+	(cxx_eval_call_expression): Don't use DECL_CLONED_FUNCTION for
+	deleting dtors.
+
 2021-08-12  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0a827b9d37d..023e735777e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-09-07  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2021-09-07  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/100495
+	* g++.dg/cpp2a/constexpr-new21.C: New test.
+
 2021-09-06  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:

